package de.ugoe.cs.quest.ui.swt;

import org.eclipse.swt.widgets.Composite;

import de.ugoe.cs.quest.eventcore.Event;
import de.ugoe.cs.quest.eventcore.guimodel.GUIModel;

abstract public class AbstractInsertEventComposite extends Composite {

    protected GUIModel guiModel;

    public AbstractInsertEventComposite(Composite parent, int style, GUIModel guiModel) {
        super(parent, style);
        this.guiModel = guiModel;
    }

    public abstract Event getEvent();

}
